--------------------------------------------------------------------------------
-- Ladder by Holzchopf
-- v1.1 - 28 Sep 2011	- Updated hierarchy
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.ladder={}

-- load ressources
holzchopf.ladder.gfx_icn=loadgfx("holzchopf/ladder.png")
setmidhandle(holzchopf.ladder.gfx_icn)
holzchopf.ladder.gfx_wpn=loadgfx("buildings/bridgepart.bmp")
setmidhandle(holzchopf.ladder.gfx_wpn)
holzchopf.ladder.sfx_build=loadsfx("buildwood.ogg")

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.ladder.id=addweapon("holzchopf.ladder","Ladder",holzchopf.ladder.gfx_icn,0)
holzchopf.ladder.ammo=3

function holzchopf.ladder.draw()
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_build,holzchopf.ladder.gfx_wpn,100)
	end
end

function holzchopf.ladder.attack(attack)
	-- start
	if (weapon_mode==0) and (weapon_position==1) then
		weapon_position=0
		if weapon_x>getplayerx(0) then
			weapon_mode=1
		else
			weapon_mode=-1
		end
		useweapon(1)
	end
	-- Build (auto!)
	if weapon_mode~=0 then
		weapon_timer=weapon_timer-1
		-- build ladder
		if weapon_timer<=0 then
			weapon_timer=10
			weapon_shots=weapon_shots+1
			-- check place
			if collision(holzchopf.ladder.gfx_wpn,weapon_x,weapon_y,1,1)==0 and weapon_y>0 then
				scroll(weapon_x,weapon_y)
				-- draw
				terrainimage(holzchopf.ladder.gfx_wpn,weapon_x,weapon_y)
				-- effect
				playsound(holzchopf.ladder.sfx_build)
				particle(p_smoke,weapon_x,weapon_y)
				-- move
				weapon_y=weapon_y-45
				weapon_x=weapon_x-16*weapon_mode
				weapon_mode=-weapon_mode
			else
				weapon_shots=holzchopf.ladder.ammo
			end
			-- end if necessary
			if (weapon_shots>=holzchopf.ladder.ammo) then
				weapon_mode=0
			end
		end
	end
end