--------------------------------------------------------------------------------
-- Super Ladder by Holzchopf
-- v1.1 - 28 Sep 2011	- Updated hierarchy
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.superladder={}

-- load ressources
holzchopf.superladder.gfx_icn=loadgfx("holzchopf/superladder.png")
setmidhandle(holzchopf.superladder.gfx_icn)
holzchopf.superladder.gfx_wpn=loadgfx("buildings/bridgepart.bmp")
setmidhandle(holzchopf.superladder.gfx_wpn)
holzchopf.superladder.sfx_build=loadsfx("buildwood.ogg")

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.superladder.id=addweapon("holzchopf.superladder","Super Ladder",holzchopf.superladder.gfx_icn,0)
holzchopf.superladder.ammo=10

function holzchopf.superladder.draw()
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_build,holzchopf.superladder.gfx_wpn,100)
	end
end

function holzchopf.superladder.attack(attack)
	-- start
	if (weapon_mode==0) and (weapon_position==1) then
		weapon_position=0
		if weapon_x>getplayerx(0) then
			weapon_mode=1
		else
			weapon_mode=-1
		end
		useweapon(1)
	end
	-- build (auto!)
	if weapon_mode~=0 then
		weapon_timer=weapon_timer-1
		-- build ladder
		if weapon_timer<=0 then
			weapon_timer=10
			weapon_shots=weapon_shots+1
			-- check place
			if collision(holzchopf.superladder.gfx_wpn,weapon_x,weapon_y,1,1)==0 and weapon_y>0 then
				scroll(weapon_x,weapon_y)
				-- draw
				terrainimage(holzchopf.superladder.gfx_wpn,weapon_x,weapon_y)
				-- effect
				playsound(holzchopf.superladder.sfx_build)
				particle(p_smoke,weapon_x,weapon_y)
				-- move
				weapon_y=weapon_y-45
				weapon_x=weapon_x-16*weapon_mode
				weapon_mode=-weapon_mode
			else
				weapon_shots=holzchopf.superladder.ammo
			end
			-- end if necessary
			if (weapon_shots>=holzchopf.superladder.ammo) then
				weapon_mode=0
			end
		end
	end
end